package pracownik;

public class Pracownik {
	private static final int GRANICA_NADGODZIN = 8;
	private final int stawka;
	private int sumaGodzin = 0;
	private int sumaNadgodzin = 0;

	public Pracownik(int stawka) {
		this.stawka = stawka;
	}

	public void praca(int godziny) {
		if(godziny > GRANICA_NADGODZIN) {
			sumaGodzin += GRANICA_NADGODZIN;
			sumaNadgodzin += godziny - GRANICA_NADGODZIN;
		} else {
			sumaGodzin += godziny;
		}
	}

	public int wyplata() {
		try {
			return sumaGodzin * stawka + sumaNadgodzin * stawka * 2;
		} finally {
			sumaGodzin = 0;
			sumaNadgodzin = 0;
		}
	}
}
